package com.zx.controller;

import com.muyu.common.core.domain.Result;

import com.muyu.common.core.utils.poi.ExcelUtil;
import com.muyu.common.core.web.controller.BaseController;
import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.common.core.web.page.TableDataInfo;
import com.muyu.common.log.annotation.Log;
import com.muyu.common.log.enums.BusinessType;
import com.zx.domain.req.AssetModel;
import com.zx.service.Impl.AssetModelService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


import javax.servlet.http.HttpServletResponse;
import java.util.List;

import static com.muyu.common.core.domain.Result.success;
import static com.muyu.common.core.utils.PageUtils.startPage;

/**
 * @ClassDescription:
 * @JdkVersion: 17
 * @Author: zhangxu
 * @Created: 2024/4/23 8:39
 */
@RestController
@RequestMapping("/model")
public class AssetModulesController extends BaseController {
    @Autowired
    private AssetModelService assetModulesService;

    /**
     * 查询【请填写功能名称】列表
     */
    @GetMapping("/list")
    public Result<TableDataInfo<AssetModel>> list(AssetModel assetModel)
    {
        startPage();
        List<AssetModel> list = assetModulesService.selectAssetModelList(assetModel);
        return getDataTable(list);
    }

    /**
     * 导出【请填写功能名称】列表
     */
    @Log(title = "【请填写功能名称】", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, AssetModel assetModel)
    {
        List<AssetModel> list = assetModulesService.selectAssetModelList(assetModel);
        ExcelUtil<AssetModel> util = new ExcelUtil<AssetModel>(AssetModel.class);
        util.exportExcel(response, list, "【请填写功能名称】数据");
    }

    /**
     * 获取【请填写功能名称】详细信息
     */
    @GetMapping(value = "/{id}")
    public Result getInfo(@PathVariable("id") Long id)
    {
        return success(assetModulesService.selectAssetModelById(id));
    }

    /**
     * 新增【请填写功能名称】
     */
    @Log(title = "【请填写功能名称】", businessType = BusinessType.INSERT)
    @PostMapping
    public Result add(@RequestBody AssetModel assetModel)
    {
        return toAjax(assetModulesService.insertAssetModel(assetModel));
    }

    /**
     * 修改【请填写功能名称】
     */
    @Log(title = "【请填写功能名称】", businessType = BusinessType.UPDATE)
    @PutMapping
    public Result edit(@RequestBody AssetModel assetModel)
    {
        return toAjax(assetModulesService.updateAssetModel(assetModel));
    }

    /**
     * 删除【请填写功能名称】
     */
    @Log(title = "【请填写功能名称】", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public Result remove(@PathVariable Long[] ids)
    {
        return toAjax(assetModulesService.deleteAssetModelByIds(ids));
    }


}
