package com.zx.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.common.core.utils.poi.ExcelUtil;
import com.muyu.common.core.web.controller.BaseController;
import com.muyu.common.core.web.page.TableDataInfo;
import com.muyu.common.log.annotation.Log;
import com.muyu.common.log.enums.BusinessType;
import com.zx.domain.req.DictionaryData;
import com.zx.service.Impl.DictionaryDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * @ClassDescription:
 * @JdkVersion: 17
 * @Author: zhangxu
 * @Created: 2024/4/25 14:53
 */
@RestController
@RequestMapping("/DictionaryData")
public class DictionaryDataController extends BaseController {

    @Autowired
    private DictionaryDataService dictionaryDataService;

    /**
     * 查询【请填写功能名称】列表
     */
    @GetMapping("/list")
    public Result<TableDataInfo<DictionaryData>> list(DictionaryData dictionaryData)
    {
        startPage();
        List<DictionaryData> list = dictionaryDataService.selectDictionaryDataList(dictionaryData);
        return getDataTable(list);
    }
    /**
     * 导出【请填写功能名称】列表
     */
    @Log(title = "【请填写功能名称】", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, DictionaryData dictionaryData)
    {
        List<DictionaryData> list = dictionaryDataService.selectDictionaryDataList(dictionaryData);
        ExcelUtil<DictionaryData> util = new ExcelUtil<DictionaryData>(DictionaryData.class);
        util.exportExcel(response, list, "【请填写功能名称】数据");
    }

    /**
     * 获取【请填写功能名称】详细信息
     */
    @GetMapping(value = "/{id}")
    public Result getInfo(@PathVariable("id") Long id)
    {
        return success(dictionaryDataService.selectDictionaryDataById(id));
    }

    /**
     * 新增【请填写功能名称】
     */
    @Log(title = "【请填写功能名称】", businessType = BusinessType.INSERT)
    @PostMapping
    public Result add(@RequestBody DictionaryData dictionaryData)
    {
        return toAjax(dictionaryDataService.insertDictionaryData(dictionaryData));
    }

    /**
     * 修改【请填写功能名称】
     */
    @Log(title = "【请填写功能名称】", businessType = BusinessType.UPDATE)
    @PutMapping
    public Result edit(@RequestBody DictionaryData dictionaryData)
    {
        return toAjax(dictionaryDataService.updateDictionaryData(dictionaryData));
    }

    /**
     * 删除【请填写功能名称】
     */
    @Log(title = "【请填写功能名称】", businessType = BusinessType.DELETE)
    @DeleteMapping("/{ids}")
    public Result remove(@PathVariable Long[] ids)
    {
        return toAjax(dictionaryDataService.deleteDictionaryDataByIds(ids));
    }




}
