package com.zx.domain.req;

import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;

/**
 * @ClassDescription:
 * @JdkVersion: 17
 * @Author: zhangxu
 * @Created: 2024/4/22 20:40
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
public class AssetModel extends BaseEntity {
    /**
     *主键
     *
     * **/
    private Long id;
    /**
     *数据资产id
     *
     * **/
    private Long dataAssetId;
    /**
     *字段名字
     *
     * **/
    private String name;
    /**
     *
     *字段备注
     * **/
    private String comment;
    /**
     *
     *是否主键
     * **/
    private String isPrimaryKey;
    /**
     *数据类型
     *
     * **/
    private String type;
    /**
     *映射数据字典
     *
     * **/
    private String mappingType;
    /**
     *长度
     *
     * **/
    private String length;
    /**
     *小数位
     *
     * **/
    private String decimalPlaces;
    /**
     *
     *是否不可以为空
     * **/
    private String isNull;
    /**
     *
     *是否是字典
     * **/
    private String isDict;
    /**
     *是否是默认值
     *
     * **/
    private String defaultValue;
    /**
     *字典key
     *
     * **/
    private String dictKey;
    /**
     *
     * 字典key
     * */
    private Long dictionaryId;

    /**
     * 字典信息
     * */
    private List<DictionaryData> dictionaryDataList;

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("dataAssetId", getDataAssetId())
                .append("name", getName())
                .append("comment", getComment())
                .append("isPrimaryKey", getIsPrimaryKey())
                .append("type", getType())
                .append("mappingType", getMappingType())
                .append("length", getLength())
                .append("decimalPlaces", getDecimalPlaces())
                .append("isNull", getIsNull())
                .append("isDict", getIsDict())
                .append("defaultValue", getDefaultValue())
                .append("dictKey", getDictKey())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }

}
