package com.zx.domain.req;

import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;

/** 链接数据库的地址
 * @ClassDescription:
 * @JdkVersion: 17
 * @Author: zhangxu
 * @Created: 2024/4/20 9:37
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class JdbcClass extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;
    /**
     * 连接驱动
     * */
    private String jdbcDriver;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String dataSourceName;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String linkAddress;

    private String sql;

    private String tableName;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String port;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String databaseName;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String username;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String password;

    /** 数据连接参数 */
    @Excel(name = "数据连接参数")
    private String connectionParam;

    /** 初始连接数量 */
    @Excel(name = "初始连接数量")
    private Long initNum;

    /** 最大连接数量 */
    @Excel(name = "最大连接数量")
    private Long maxNum;

    /** 最大等待时间 */
    @Excel(name = "最大等待时间")
    private Long maxWaitTime;

    private Long count;

    /** 最大等待次数 */
    @Excel(name = "最大等待次数")
    private Long maxWaitSize;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String type;

    /** 数据来源名称 */
    @Excel(name = "数据来源名称")
    private String systemName;

    private String modeName;



    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setDataSourceName(String dataSourceName)
    {
        this.dataSourceName = dataSourceName;
    }

    public String getDataSourceName()
    {
        return dataSourceName;
    }
    public void setLinkAddress(String linkAddress)
    {
        this.linkAddress = linkAddress;
    }

    public String getLinkAddress()
    {
        return this.linkAddress;
    }
    public void setPort(String port)
    {
        this.port = port;
    }

    public String getPort()
    {
        return port;
    }
    public void setDatabaseName(String databaseName)
    {
        this.databaseName = databaseName;
    }

    public String getDatabaseName()
    {
        return databaseName;
    }
    public void setUsername(String username)
    {
        this.username = username;
    }

    public String getUsername()
    {
        return username;
    }
    public void setPassword(String password)
    {
        this.password = password;
    }

    public String getPassword()
    {
        return password;
    }
    public void setConnectionParam(String connectionParam)
    {
        this.connectionParam = connectionParam;
    }

    public String getConnectionParam()
    {
        return connectionParam;
    }
    public void setInitNum(Long initNum)
    {
        this.initNum = initNum;
    }

    public Long getInitNum()
    {
        return initNum;
    }
    public void setMaxNum(Long maxNum)
    {
        this.maxNum = maxNum;
    }

    public Long getMaxNum()
    {
        return maxNum;
    }
    public void setMaxWaitTime(Long maxWaitTime)
    {
        this.maxWaitTime = maxWaitTime;
    }

    public Long getMaxWaitTime()
    {
        return maxWaitTime;
    }
    public void setMaxWaitSize(Long maxWaitSize)
    {
        this.maxWaitSize = maxWaitSize;
    }

    public Long getMaxWaitSize()
    {
        return maxWaitSize;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType()
    {
        return type;
    }
    public void setSystemName(String systemName)
    {
        this.systemName = systemName;
    }

    public String getSystemName()
    {
        return systemName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("dataSourceName", getDataSourceName())
                .append("linkAddress", getLinkAddress())
                .append("port", getPort())
                .append("databaseName", getDatabaseName())
                .append("username", getUsername())
                .append("password", getPassword())
                .append("connectionParam", getConnectionParam())
                .append("initNum", getInitNum())
                .append("maxNum", getMaxNum())
                .append("maxWaitTime", getMaxWaitTime())
                .append("maxWaitSize", getMaxWaitSize())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .append("type", getType())
                .append("systemName", getSystemName())
                .toString();
    }

}
